<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Frecuenciavisita{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO frecuenciavisitas (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idfrecuenciavisita,$nombre,$descripcion){
	$sql="UPDATE frecuenciavisitas SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idfrecuenciavisita='$idfrecuenciavisita'";
	return ejecutarConsulta($sql);
}
public function desactivar($idfrecuenciavisita){
	$sql="UPDATE frecuenciavisitas SET condicion='0' WHERE idfrecuenciavisita='$idfrecuenciavisita'";
	return ejecutarConsulta($sql);
}
public function activar($idfrecuenciavisita){
	$sql="UPDATE frecuenciavisitas SET condicion='1' WHERE idfrecuenciavisita='$idfrecuenciavisita'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idfrecuenciavisita){
	$sql="SELECT * FROM frecuenciavisitas WHERE idfrecuenciavisita='$idfrecuenciavisita'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM frecuenciavisitas";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM frecuenciavisitas WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
